Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452006 - [fix available] OpenOffice.org 2.3 Impress crashes if you try to add an OGG video.
Summary: [fix available] OpenOffice.org 2.3 Impress crashes if you try to add an OGG v...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gstreamer-plugins-base
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: 5.5
Assignee: Adam Jackson
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On: 450105
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 16:52 UTC by Matthew Mosesohn
Modified: 2013-01-10 13:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-10 09:30:31 UTC


Attachments (Terms of Use)
gdb trace of issue (deleted)
2008-06-18 20:14 UTC, Matthew Mosesohn
no flags Details
backport from a more recent gstream that makes the problem go away (deleted)
2008-06-19 13:31 UTC, Caolan McNamara
no flags Details | Diff

Description Matthew Mosesohn 2008-06-18 16:52:24 UTC
Description of problem:

OpenOffice.org 2.3 Impress crashes if you try to add an OGG video.

Version-Release number of selected component (if applicable):

openoffice.org-impress-2.3.0-6.5.el5

How reproducible:

Always

Steps to Reproduce:
1. Open OpenOffice.org2.3 Impress
2. Create a new blank presentation
3. Go to Insert -> Movie and Sound, choose any ogg video.

  
Actual results:

OpenOffice Impress crashes without a bug report.

When run from the command line, this error shows up:
libGL warning: 3D driver claims to not support visual 0x5b

/usr/lib/openoffice.org/program/soffice: line 147: 25373 Segmentation fault    
 "$sd_prog/$sd_binary" "$@"


Expected results:

The video would be inserted as an object in the presentation.

Additional info:

Reproduceable in Open Office 2.3 on a Mac, but does not crash in Open Office 2.3
in Fedora 8.

Comment 1 Caolan McNamara 2008-06-18 17:54:30 UTC
Hmm, so what video driver is X using ?

This might be a X problem or it might be some visual misuse by OOo. I'd expect
to get a crash-reporter on a "normal" crash, so its odd to get a crash without
the crashreporter appearing.

Can you run (as an ordinary user, not root)

 /usr/lib/openoffice.org/program/crash_report -stack /dev/null

to collect details about your driver and your screen depth and paste in that
information here

Comment 2 Matthew Mosesohn 2008-06-18 18:12:33 UTC
Machine is using the i810 driver (and intel driver while using Fedora)


Crash log from a long long time ago (but same OS and installation):

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/i810_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-42.el5-i386
(V)    kernel is: Linux 2.6.18-92.1.1.el5 #1 SMP Thu May 22 09:01:29 EDT 2008
i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.5.el5-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00db0000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x001cd000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00f64000)
	libstore.so.3 => /usr/lib/openoffice.org/program/libstore.so.3 (0x00ac9000)
	libdl.so.2 => /lib/libdl.so.2 (0x00ef7000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00835000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x00b18000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x0039f000)
	libm.so.6 => /lib/libm.so.6 (0x00544000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00a23000)
	libc.so.6 => /lib/libc.so.6 (0x0056b000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00959000)
	/lib/ld-linux.so.2 (0x00ae7000)
...end sample ldd details ...

Comment 3 Matthew Mosesohn 2008-06-18 18:15:06 UTC
Update:

I tried switching my driver on my Lenovo T60 from i810 to intel, repeated the
steps, and it still crashes.  

Comment 4 Caolan McNamara 2008-06-18 18:37:29 UTC
I strongly suspect that its a class of bug that needs running in X sync mode
with SAL_SYNCHRONIZE=1 and gdb /usr/lib/openoffice.org/program/soffice.bin
breakpoint on _exit/exit and bt from there

Comment 5 Caolan McNamara 2008-06-18 18:57:49 UTC
I'm going to try and setup a suitable RHEL-5 env here to reproduce this, but
if someone else wants to have a go then

install the (massive) matching debuginfo for OOo

export SAL_SYNCHRONIZE=1
ooimpress & 

get OOo the state where you are about to insert the .ogg

and in another terminal

ps auxw|grep simpress.bin
and note the pid

gdb
(gdb) attach <pid>
(gdb) break exit
(gdb) break _exit
(gdb) cont

and go ahead and insert the .ogg and hopefully gdb will catch the crash

(gdb) bt

to then get the bt


Comment 6 Matthew Mosesohn 2008-06-18 20:14:44 UTC
Created attachment 309786 [details]
gdb trace of issue

I followed your steps.	Attached is the gdb results.

Comment 7 Caolan McNamara 2008-06-19 13:30:11 UTC
Confirmed, indeed, the immediate location of the crash is in gstreamer-plugins-base

Comment 8 Caolan McNamara 2008-06-19 13:31:39 UTC
Created attachment 309847 [details]
backport from a more recent gstream that makes the problem go away

Here's a backport that lets RHEL-5.2 OOo play the "Truth Happens" without
blowing up

Comment 10 Caolan McNamara 2008-06-19 13:34:55 UTC
FWIW the old Fedora 6 bug 239192 looks the same as this

Comment 11 Bastien Nocera 2008-06-19 14:17:32 UTC
Do you have an upstream bug reference for that? We're supposed to upgrade
gstreamer-plugins-good to the latest stable for 5.3 anyway.

Comment 12 Caolan McNamara 2008-06-19 14:23:51 UTC
nope, I don't know an upstream reference, but as its fixed in F-9 gstreamer it
should come for free with a bump to the latest stable

Comment 13 Adam Jackson 2008-07-28 00:51:33 UTC
Add to 5.4 radar, pretty sure this isn't making 5.3 at this point.

Comment 14 Bastien Nocera 2008-07-28 10:59:27 UTC
Should be fixed with bug 450105, we'll see.

Comment 15 RHEL Product and Program Management 2009-03-26 17:09:17 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 16 Bastien Nocera 2009-08-10 09:30:31 UTC
This is supposed to be fixed already. Reopen if not.


Note You need to log in before you can comment on or make changes to this bug.